# Generated by Django 2.2.5 on 2020-08-17 06:08

import datetime
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
from django.utils.timezone import utc


class Migration(migrations.Migration):

    dependencies = [
        ('taxationAPI', '0017_auto_20200717_1407'),
    ]

    operations = [
        migrations.CreateModel(
            name='documentCode',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='added')),
                ('ticket', models.CharField(max_length=50, verbose_name='ticket')),
                ('access', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='access')),
                ('endPoint', models.CharField(max_length=200, null=True, verbose_name='end_point')),
                ('reply', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='reply')),
                ('done', models.BooleanField(default=False, verbose_name='done')),
            ],
            options={
                'ordering': ['-added'],
            },
        ),
        migrations.AlterField(
            model_name='documentmodel',
            name='date',
            field=models.DateTimeField(blank=True, default=datetime.datetime(2020, 8, 17, 6, 8, 16, 277000, tzinfo=utc)),
        ),
        migrations.AlterField(
            model_name='extradatamodel',
            name='date',
            field=models.DateTimeField(default=datetime.datetime(2020, 8, 17, 6, 8, 16, 278074, tzinfo=utc)),
        ),
        migrations.AlterField(
            model_name='responsemodel',
            name='date',
            field=models.DateTimeField(blank=True, default=datetime.datetime(2020, 8, 17, 6, 8, 16, 277620, tzinfo=utc)),
        ),
    ]
